floppym     14/05/19 00:43:33

  Modified:             bsddb3-6.0.1.ebuild ChangeLog
  Log:
  Fixup distutils-r1 conversion, and fix build with newer multilib-enabled 
sys-apps/db.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
0BBEEA1FEA4843A4)

Revision  Changes    Path
1.3                  dev-python/bsddb3/bsddb3-6.0.1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/bsddb3/bsddb3-6.0.1.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/bsddb3/bsddb3-6.0.1.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/bsddb3/bsddb3-6.0.1.ebuild?r1=1.2&r2=1.3

Index: bsddb3-6.0.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/bsddb3/bsddb3-6.0.1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bsddb3-6.0.1.ebuild 1 Apr 2014 11:17:49 -0000       1.2
+++ bsddb3-6.0.1.ebuild 19 May 2014 00:43:33 -0000      1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/bsddb3/bsddb3-6.0.1.ebuild,v 1.2 
2014/04/01 11:17:49 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/bsddb3/bsddb3-6.0.1.ebuild,v 1.3 
2014/05/19 00:43:33 floppym Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
@@ -16,50 +16,43 @@
 KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
 IUSE="doc"
 
-RDEPEND=">=sys-libs/db-4.8.30"
+RDEPEND=">=sys-libs/db-4.8.30
+       <sys-libs/db-6.1"
 DEPEND="${RDEPEND}
        dev-python/setuptools[${PYTHON_USEDEP}]"
 
-# PYTHON_CFLAGS=("2.* + -fno-strict-aliasing")
-
 DISTUTILS_IN_SOURCE_BUILD=1
-PATCHES=( "${FILESDIR}"/py3tests.patch )
 
-src_configure() {
-       local DB_VER
-       if has_version sys-libs/db:5.1; then
-               DB_VER="5.1"
-       elif has_version sys-libs/db:5.0; then
-               DB_VER="5.0"
-       else
-               DB_VER="4.8"
-       fi
-       sed -e "s/dblib = 'db'/dblib = '$(db_libname ${DB_VER})'/" -i setup2.py 
setup3.py || die "sed failed"
+src_prepare() {
+       # This list should be kept in sync with setup.py.
+       for DB_VER in 6.0 5.3 5.2 5.1 5.0 4.8; do
+               has_version "sys-libs/db:${DB_VER}" && break
+       done
+
+       # Force version.
+       sed -e "s/db_ver = None/db_ver = (${DB_VER%.*}, ${DB_VER#*.})/" \
+               -e "s/dblib = 'db'/dblib = '$(db_libname ${DB_VER})'/" \
+               -i setup2.py setup3.py || die
+
+       # Adjust test.py to look in build/lib.
+       sed -e "s/'lib.%s' % PLAT_SPEC/'lib'/" \
+               -i test2.py test3.py || die
+
+       distutils-r1_src_prepare
 }
 
-src_compile() {
-       distutils-r1_src_compile \
+python_compile() {
+       if ! python_is_python3; then
+               local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       fi
+       distutils-r1_python_compile \
                --berkeley-db="${EPREFIX}/usr" \
                --berkeley-db-incdir="${EPREFIX}$(db_includedir ${DB_VER})" \
                --berkeley-db-libdir="${EPREFIX}/usr/$(get_libdir)"
 }
 
 python_test() {
-       # py3 tests misfire in the source om running test_all.py
-       local test
-       pushd "${BUILD_DIR}"/../ > /dev/null
-       if [[ "${EPYTHON}" == python2* ]]; then
-               einfo "all 500 tests are run silently and may take a number of 
minutes to complete"
-               "${PYTHON}" build/lib/bsddb3/tests/test_all.py || die  "tests 
failed under ${EPYTHON}"
-       elif python_is_python3; then
-               mv Lib3/bsddb/test/test_all.py . || die
-               for test in Lib3/bsddb/test/test_*
-               do
-                       "${PYTHON}" $test || die "tet $test failed under 
${EPYTHON}"
-                       einfo "test $test passed OK";einfo ""
-               done
-       fi
-       popd  > /dev/null
+       "${PYTHON}" test.py -v || die "Testing failed with ${EPYTHON}"
 }
 
 python_install_all() {



1.102                dev-python/bsddb3/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/bsddb3/ChangeLog?rev=1.102&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/bsddb3/ChangeLog?rev=1.102&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/bsddb3/ChangeLog?r1=1.101&r2=1.102

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/bsddb3/ChangeLog,v
retrieving revision 1.101
retrieving revision 1.102
diff -u -r1.101 -r1.102
--- ChangeLog   1 Apr 2014 11:23:14 -0000       1.101
+++ ChangeLog   19 May 2014 00:43:33 -0000      1.102
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/bsddb3
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/bsddb3/ChangeLog,v 1.101 
2014/04/01 11:23:14 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/bsddb3/ChangeLog,v 1.102 
2014/05/19 00:43:33 floppym Exp $
+
+  19 May 2014; Mike Gilbert <[email protected]> bsddb3-6.0.1.ebuild:
+  Fixup distutils-r1 conversion, and fix build with newer multilib-enabled sys-
+  apps/db.
 
   01 Apr 2014; Ian Delaney <[email protected]>+files/py3tests.patch,
   bsddb3-6.0.0.ebuild:




Reply via email to